libsigrok (0.5.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062623

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 19:45:25 +0000

libsigrok (0.5.2-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libglib2.0-dev (>= 2.32.0).
    + Build-Depends: Drop versioned constraint on libserialport-dev (>= 0.1.0).
    + Build-Depends: Drop versioned constraint on libusb-1.0-0-dev (>= 1.0.16).
    + Build-Depends: Drop versioned constraint on libzip-dev (>= 0.10).
    + Build-Depends: Drop versioned constraint on pkg-config (>= 0.22).
    + libsigrok-dev: Drop versioned constraint on libglib2.0-dev (>= 2.32.0) in
      Depends.
    + libsigrok-dev: Drop versioned constraint on libserialport-dev (>= 0.1.0)
      in Depends.
    + libsigrok-dev: Drop versioned constraint on libusb-1.0-0-dev (>= 1.0.16)
      in Depends.
    + libsigrok-dev: Drop versioned constraint on libzip-dev (>= 0.10) in
      Depends.

  [ Chris Boot ]
  * DEP17: Install udev rules into /usr, with (M10) protective diversion
    against possible file loss as exhibited by Multi-Arch: same packages (P7).
    Diversion code can be removed in forky+1. (Closes: 1056668)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 03 Dec 2023 19:43:23 +0000

libsigrok (0.5.2-4) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Lintian inspired cleanups:
    * Remove duplicated "Section" field from libsigrok4/libsigrokcxx4.
    * Use HTTPS URL in watch file.
    * Remove trailing whitespace in debian/{changelog,control}.
    * Bump debhelper compat level to 13.
    * Fix copyright file to only use globs.
  * Update Standards-Version to 4.6.2
  * Ignore not-installed .la files

  [ Maksim Salau ]
  * Make use of icons and the mime type

 -- Jonathan McDowell <noodles@earth.li>  Fri, 06 Jan 2023 18:21:07 +0000

libsigrok (0.5.2-3) unstable; urgency=medium

  * Fix FTBFS with new "check" package (Closes: #980589)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 22 Jan 2021 18:54:48 +0000

libsigrok (0.5.2-2) unstable; urgency=medium

  * Add -dev deps on libbluetooth-dev + libhidapi-dev (Closes: #951980, #952272)
  * Update Standards-Version to 4.5.0

 -- Jonathan McDowell <noodles@earth.li>  Sun, 23 Feb 2020 16:00:03 +0000

libsigrok (0.5.2-1) unstable; urgency=medium

  * New upstream release.
    + Add libbluetooth-dev + libhidapi-dev build deps
  * Update debian/copyright.

 -- Jonathan McDowell <noodles@earth.li>  Fri, 27 Dec 2019 10:45:08 +0000

libsigrok (0.5.1-1) unstable; urgency=medium

  * New upstream release.
    + Move to new upstream udev rules.
  * Update appropriate bits to point at Salsa instead of Alioth
  * Update debian/copyright.
  * Bump debhelper compat level to 10.
  * Update Standards-Version to 4.2.1
    + Set Rules-Requires-Root to no

 -- Jonathan McDowell <noodles@earth.li>  Wed, 17 Oct 2018 19:07:17 +0100

libsigrok (0.5.0-3) unstable; urgency=medium

  * Fix unit tests on i386 by casting floats to doubles.
  * Upload to unstable.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 18 Sep 2017 20:03:49 +0100

libsigrok (0.5.0-2) experimental; urgency=medium

  * Update debian/copyright.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 28 Aug 2017 10:55:55 +0100

libsigrok (0.5.0-1) experimental; urgency=medium

  * New upstream release.
    + The libsigrok2 package now becomes libsigrok4 (upstream SO name change).
    + Add build-dep on libieee1284-3-dev to enable hung-chang-dso-2100 driver
    + Add new C++ library, libsigrokcxx4.
  * Move to libftdi1-dev (Closes: #810376)
  * Add build-dep on check to enable unit tests
  * Remove old transitional libsigrok0-dev package.
  * Move maintenance to Debian Electronics Packaging Team (Closes: #852830)
  * Standards-Version: 4.0.1 (change priority to optional).

 -- Jonathan McDowell <noodles@earth.li>  Tue, 15 Aug 2017 19:16:16 +0100

libsigrok (0.3.0-1) unstable; urgency=medium

  * Acknowledge NMU, thanks David Prévot (Closes: #724126).
  * New upstream release.
    + Bump version of libusb-1.0-0-dev build-dep to >= 1.0.16.
    + Bump version of libzip-dev build-dep to >= 0.10.
    + Add build-dep on libserialport >= 0.1.0.
    + Drop build-deps on no longer used libudev and libasound.
    + The libsigrok1 package now becomes libsigrok2 (upstream SO name change).
  * Switch from cdbs to debhelper.
  * Add multiarch support:
    + Bump build-depend on debhelper (>= 9).
    + Add "Pre-Depends: ${misc:Pre-Depends}" to the lib package.
    + debian/compat: Bump version to 9.
    + Adapt the paths in *.install files.
    + Add "Multi-Arch: same" to the lib and -dev package.
  * Standards-Version: 3.9.5 (no changes required).
  * Use dh-autoreconf instead of autotools-dev in order to fix FTBFS on
    (e.g.) ppc64el (Closes: #744061). Thanks Logan Rosen <logan@ubuntu.com>!
  * Bring back accidentally missing udev rules file (Closes: #737766).
    Thanks Roland Hieber <rohieb@rohieb.name> for the report!

 -- Uwe Hermann <uwe@debian.org>  Sat, 24 May 2014 16:03:18 +0200

libsigrok (0.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libasound2-dev as a build-dependency, and as a dependency to
    libsigrok-dev. Closes: #724126

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2013 17:22:48 -0400

libsigrok (0.2.0-2) unstable; urgency=low

  * Fixed upload for 0.2.0-1 (which never left the NEW queue).
  * The upstream SONAME bumped to 1, so change the lib package name to
    libsigrok1. However, only use one libsigrok-dev always, i.e. don't encode
    the SONAME in the -dev package name (as per FTP Master recommendation).
    Since the old name was libsigrok0-dev, add a transitional package to
    nicely handle the transition.

 -- Uwe Hermann <uwe@debian.org>  Mon, 26 Aug 2013 08:54:15 +0200

libsigrok (0.2.0-1) unstable; urgency=low

  * New upstream release.
    + Bump version of libglib2.0-dev build-dep to >= 2.32.0.
    + Bump version of libusb-1.0-0-dev build-dep to >= 1.0.9.
    + API and ABI changed, so change package name to libsigrok1*.
  * Standards-Version: 3.9.4 (no changes required).
  * debian/watch: Update to new download URLs.
  * debian/libsigrok1.docs: Add file (installs README.devices).

 -- Uwe Hermann <uwe@debian.org>  Tue, 28 May 2013 12:10:07 +0200

libsigrok (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop zlib dependency, no longer needed upstream.

 -- Uwe Hermann <uwe@debian.org>  Sun, 08 Jul 2012 21:53:18 +0200

libsigrok (0.1.0-2) unstable; urgency=low

  * libsigrok0-dev: Add missing dependencies on -dev libs.

 -- Uwe Hermann <uwe@debian.org>  Wed, 23 May 2012 13:39:32 +0200

libsigrok (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #669070).

 -- Uwe Hermann <uwe@debian.org>  Sat, 21 Apr 2012 20:03:56 +0200
